Package org.eclipse.mat.query.refined

# Class Filter

java.lang.Object
org.eclipse.mat.query.refined.Filter

public abstract class Filter extends Object
Used to filter values in a result, to avoid displaying rows not matching the filter.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`Filter.ValueConverter`
A ValueConverter attached to a column modifies the cell before it is tested in a filter or displayed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`FILTER_TYPES`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`getCriteria()`
`abstract String`
`getLabel()`
`abstract boolean`
`isActive()`
`abstract boolean`
`setCriteria(String criteria)`
if an exceptions is thrown, the internal state stays untouched.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FILTER_TYPES

public static final String[] FILTER_TYPES

## Method Details

### setCriteria

public abstract boolean setCriteria(String criteria) throws IllegalArgumentException
if an exceptions is thrown, the internal state stays untouched. Hence, no re-filtering necessary

Parameters:
  `criteria` - for the filter
Returns:
  true if the filter criteria changed
Throws:
  `IllegalArgumentException`

### getCriteria

public abstract String getCriteria()

### getLabel

public abstract String getLabel()

### isActive

public abstract boolean isActive()